#pragma once

#include "AbstractPainter.h"

#include <memory>

enum class DrawingMode;
class DrawingContext;

class PainterFactory
{
public:
    static std::unique_ptr<AbstractPainter> Create(DrawingContext* context, DrawingMode drawMode);
};
